package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;
import io.swagger.v3.oas.models.security.SecurityScheme;


/**
 * 给药制剂-稽查轨迹对象 t_gyzj_jcgj
 *
 * @author hxhq
 * @date 2025-12-18
 */
@TableName("t_gyzj_jcgj")
public class GyzjJcgj extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 给药制剂id */
    private Long gyzjId;

    /** 给药制剂编号 */
    private String gyzjBh;

    /** 稽查轨迹类型:1:流程；3：编辑 */
    private Integer jcgjlx;

    /** 稽查名称 */
    private String jcmc;

    /** 稽查名称-英文 */
    private String jcmcEn;

    /** 稽查名称颜色：1：蓝色；3：红色；5：绿色；7：橙色 */
    private Integer jcmcys;

    /** 稽查内容 */
    private String jcnr;

    /** 稽查内容-英文 */
    private String jcnrEn;

    /** 签名人id */
    private Long qmrId;

    /** 签名人名称 */
    private String qmrMc;

    /** 签名人名称-英文 */
    private String qmrMcEn;

    public String getGyzjBh() {
        return gyzjBh;
    }

    public void setGyzjBh(String gyzjBh) {
        this.gyzjBh = gyzjBh;
    }

    public String getJcmcEn() {
        return jcmcEn;
    }

    public void setJcmcEn(String jcmcEn) {
        this.jcmcEn = jcmcEn;
    }

    public String getJcnrEn() {
        return jcnrEn;
    }

    public void setJcnrEn(String jcnrEn) {
        this.jcnrEn = jcnrEn;
    }

    public String getQmrMcEn() {
        return qmrMcEn;
    }

    public void setQmrMcEn(String qmrMcEn) {
        this.qmrMcEn = qmrMcEn;
    }

    public Long getGyzjId() {
        return gyzjId;
    }

    public void setGyzjId(Long gyzjId) {
        this.gyzjId = gyzjId;
    }

    public Integer getJcgjlx() {
        return jcgjlx;
    }

    public void setJcgjlx(Integer jcgjlx) {
        this.jcgjlx = jcgjlx;
    }

    public String getJcmc() {
        return jcmc;
    }

    public void setJcmc(String jcmc) {
        this.jcmc = jcmc;
    }

    public Integer getJcmcys() {
        return jcmcys;
    }

    public void setJcmcys(Integer jcmcys) {
        this.jcmcys = jcmcys;
    }

    public String getJcnr() {
        return jcnr;
    }

    public void setJcnr(String jcnr) {
        this.jcnr = jcnr;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrMc() {
        return qmrMc;
    }

    public void setQmrMc(String qmrMc) {
        this.qmrMc = qmrMc;
    }
}
